- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Friends

# QPainterPathPrivate Class Reference

Search for all occurrences

## Detailed Description

Definition at line 232 of file qpainterpath.h.

`#include <qpainterpath.h>`

List of all members.

## Friends
class | QPainterPath
class | QPainterPathData
class | QPainterPathStroker
class | QPainterPathStrokerPrivate
class | QMatrix
class | QTransform
class | QVectorPath
struct | QPainterPathPrivateDeleter
Q_GUI_EXPORT QDataStream & | operator<< (QDataStream &, const QPainterPath &)
Q_GUI_EXPORT QDataStream & | operator>> (QDataStream &, QPainterPath &)

## Friends And Related Function Documentation

friend class QPainterPath `[friend]`

Search for all occurrences

Definition at line 235 of file qpainterpath.h.

friend class QPainterPathData `[friend]`

Search for all occurrences

Definition at line 236 of file qpainterpath.h.

friend class QPainterPathStroker `[friend]`

Search for all occurrences

Definition at line 237 of file qpainterpath.h.

friend class QPainterPathStrokerPrivate `[friend]`

Search for all occurrences

Definition at line 238 of file qpainterpath.h.

friend class QMatrix `[friend]`

Search for all occurrences

Definition at line 239 of file qpainterpath.h.

friend class QTransform `[friend]`

Search for all occurrences

Definition at line 240 of file qpainterpath.h.

friend class QVectorPath `[friend]`

Search for all occurrences

Definition at line 241 of file qpainterpath.h.

friend struct QPainterPathPrivateDeleter `[friend]`

Search for all occurrences

Definition at line 242 of file qpainterpath.h.

Q_GUI_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QPainterPath & |
| ) |  | `[friend]`

Q_GUI_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QPainterPath & |
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- QtGui/qpainterpath.h

QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate
QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate QPainterPathPrivate